package jesse.keeblarcraft.ConfigMgr;

import jesse.keeblarcraft.ConfigMgr.SQLTypeSupport.VALID_SQL_TYPE;
import jesse.keeblarcraft.Utils.CommonStructures.Pair;

public class SQLInitServer {
    // Initial run-time checks to make sure tables are all setup in advanced
    public void Initialize() {
        SetupTables();
    }

    private void SetupTables() {
        // These are all hard coded and non-changeable in this version of the mod
        String accountsTable = "ACCOUNTS";
        String banksTable = "BANKS";
        String customerTable = "CUSTOMER";
        String transactionTable = "TRANSACTION";

        Pair<String, VALID_SQL_TYPE> pairOne = new Pair<>("name", VALID_SQL_TYPE.VARCHAR);
        Pair<String, VALID_SQL_TYPE> pairTwo = new Pair<>("address", VALID_SQL_TYPE.BIGINT);
        Pair<String, VALID_SQL_TYPE> pairThree = new Pair<>("email", VALID_SQL_TYPE.TEXT);
    }
}
